// 引入 request 文件
import request from '@/utils/request';

// 以下 api 为示例，实际与项目相匹配

// 分页查询学习列表
export const pageStudyInfo = (params) => {
  return request({
    url: '/study/studyInfo/page',
    method: 'GET',
    data: params
  });
};

// 查询学习列表
export const listStudyInfo = (params) => {
  return request({
    url: '/study/studyInfo/list',
    method: 'GET',
    data: params
  });
};

// 获取学习列表详细信息
export const studyInfoById = (id) => {
  return request({
    url: `/study/studyInfo/${id}`,
    method: 'GET',
  });
};

// 增加学习列表
export const saveStudyInfo = (params) => {
  return request({
    url: '/study/studyInfo',
    method: 'POST',
    data: params
  });
};

// 修改学习列表
export const updateStudyInfo = (params) => {
  return request({
    url: '/study/studyInfo',
    method: 'PUT',
    data: params
  });
};

// 删除学习列表
export const deleteStudyInfo = (id) => {
  return request({
    url: `/study/studyInfo/delete?id=${id}`,
    method: 'DELETE',
  });
};






// Page({
//     data: {
//       studyList: []
//     },
  
//     onLoad: function () {
//       this.getStudyList();
//     },
  
//     getStudyList: async function () {
//       try {
//         const res = await pageStudyInfo(this.data.queryParams);
//         console.log(res.data.records);
//         this.setData({
//           studyList: res.data.records
//         });
//       } catch (error) {
//         console.error(error);
//       }
//     }
//   });